Debian Bug report logs - #472625
Error on startup: /usr/share/aptitude/aptitude-defaults.fr - ifstream::ifstream (no such file or directory)

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Loïc Minier <lool@dooz.org>

Date: Tue, 25 Mar 2008 12:18:02 UTC

Severity: normal

Found in versions aptitude/0.6.3-1, aptitude/0.4.11-3

Fixed in versions 0.4.11.1-1, 0.6.3-2

Done: Daniel Hartwig <mandyke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#472625; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Error on startup: /usr/share/aptitude/aptitude-defaults.fr - ifstream::ifstream (no such file or directory)
Date: Tue, 25 Mar 2008 12:51:02 +0100
Package: aptitude
Version: 0.4.11-3
Severity: normal

        Hi,

 When I start aptitude, I now get:
┌──────────────────────────────────────────────────────────────────────────────┐
│E : Ouverture du fichier de configuration                                    ▒│
│   /usr/share/aptitude/aptitude-defaults.fr - ifstream::ifstream (2 Aucun    ▒│
│   fichier ou répertoire de ce type)                                         ▒│
│                                [ Continuer ]                                 │
└──────────────────────────────────────────────────────────────────────────────┘

   Cheers,

-- Package-specific info:
Terminal: xterm
$DISPLAY is set.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.11            Advanced front-end for dpkg
ii  libc6                  2.7-9             GNU C Library: Shared libraries
ii  libcwidget1            0.5.6.1-3         high-level terminal interface libr
ii  libept0                0.5.15            High-level library for managing De
ii  libgcc1                1:4.3.0-2         GCC support library
ii  libncursesw5           5.6+20080308-1    Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.0-2           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.11-3   English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

-- no debconf information

-- 
Loïc Minier




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#472625; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to sidon <m.e@fnac.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #10 received at 472625@bugs.debian.org (full text, mbox):

From: sidon <m.e@fnac.net>
To: Debian Bug Tracking System <472625@bugs.debian.org>
Subject: aptitude-defaults.fr
Date: Wed, 26 Mar 2008 19:21:01 +0100
Package: aptitude
Version: 0.4.11-3+b1
Followup-For: Bug #472625

Hello,
I confirme and anly deutch language in 
aptitude-defaults/ 
:~$ ls -l /usr/share/aptitude/aptitude-defaults.*
-rw-r--r-- 1 root root 10857 mar 25 16:08 /usr/share/aptitude/aptitude-defaults.de

Sidon

-- Package-specific info:
Terminal: rxvt-unicode
$DISPLAY is set.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.11            Advanced front-end for dpkg
ii  libc6                  2.7-9             GNU C Library: Shared libraries
ii  libcwidget3            0.5.9-1           high-level terminal interface libr
ii  libept0                0.5.16            High-level library for managing De
ii  libgcc1                1:4.3.0-2         GCC support library
ii  libncursesw5           5.6+20080308-1    Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.0-2           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

Versions of packages aptitude recommends:
ii  aptitude-doc-fr [aptitude-doc 0.4.11-3   French manual for aptitude, a term
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#472625; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #15 received at 472625@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Loïc Minier <lool@dooz.org>, 472625@bugs.debian.org
Subject: Re: Bug#472625: Error on startup: /usr/share/aptitude/aptitude-defaults.fr - ifstream::ifstream (no such file or directory)
Date: Thu, 27 Mar 2008 07:14:09 +0100
[Message part 1 (text/plain, inline)]
Quoting Loïc Minier (lool@dooz.org):
> Package: aptitude
> Version: 0.4.11-3
> Severity: normal
> 
>         Hi,
> 
>  When I start aptitude, I now get:


Confirmed.

I think that Daniel should add the aptitude-defaults.* files to
installed files (debian/*.install or something). They were recently
added in "upstream" Mercurial repository.




[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#472625; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to "Renato S. Yamane" <yamane@diamondcut.com.br>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #20 received at 472625@bugs.debian.org (full text, mbox):

From: "Renato S. Yamane" <yamane@diamondcut.com.br>
To: control@bugs.debian.org
Cc: 472625@bugs.debian.org
Subject: ifstream::ifstream (no such file or directory)
Date: Fri, 6 Jun 2008 21:27:18 -0300 (BRST)
merge 472625 483620
thanks


Renato S. Yamane wrote on Debian-User-Portuguese ML:
> Gunther Furtado wrote:
>> # aptitude update
>> E: Abrindo arquivo de configuração
>> /usr/share/aptitude/aptitude-defaults.pt_BR - ifstream::ifstream (2
>> Arquivo ou diretório não encontrado)
>
> Daniel, you can see above the same problem as reported on bugs #472625 and
> #483620. I see reports about this in french (.fr), deutch (.de) and
> brazilian (.pt_BR) locales.
>
> Can you help us to fix this or suggest any workarround?
>
> Best regards,
> Renato S. Yamane





Merged 472625 483620. Request was from "Renato S. Yamane" <yamane@diamondcut.com.br> to control@bugs.debian.org. (Sat, 07 Jun 2008 00:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#472625; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 472625@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: "Renato S. Yamane" <yamane@diamondcut.com.br>, 472625@bugs.debian.org
Subject: Re: Bug#472625: ifstream::ifstream (no such file or directory)
Date: Fri, 6 Jun 2008 18:44:56 -0700
On Fri, Jun 06, 2008 at 09:27:18PM -0300, "Renato S. Yamane" <yamane@diamondcut.com.br> was heard to say:
> merge 472625 483620
> thanks

  These are not the same bug.  As I wrote in the last mail, the problem
is that the install command for the aptitude-defaults file was written
aptitude-defaults.??, so this file got left out.

  Daniel




Disconnected #483620 from all other report(s). Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 07 Jun 2008 01:48:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 472625-done@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 472625-done@bugs.debian.org
Subject: Re: Bug#472625: Error on startup: /usr/share/aptitude/aptitude-defaults.fr - ifstream::ifstream (no such file or directory)
Date: Fri, 6 Jun 2008 19:58:40 -0700
Version: 0.4.11.1-1

On Tue, Mar 25, 2008 at 12:51:02PM +0100, Loïc Minier <lool@dooz.org> was heard to say:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │E : Ouverture du fichier de configuration                                    ▒│
> │   /usr/share/aptitude/aptitude-defaults.fr - ifstream::ifstream (2 Aucun    ▒│

  This was fixed in 0.4.11.1, but didn't get closed for some reason.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, Daniel Burrows <dburrows@debian.org>:
Bug#472625; Package aptitude. (Sun, 20 Jun 2010 10:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
Extra info received and forwarded to list. Copy sent to thomas@koch.ro, Daniel Burrows <dburrows@debian.org>. (Sun, 20 Jun 2010 10:09:07 GMT) Full text and rfc822 format available.

Message #39 received at 472625@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <472625@bugs.debian.org>
Subject: still in 0.6.3 with aptitude-defaults.de
Date: Sun, 20 Jun 2010 12:07:29 +0200
Package: aptitude
Version: 0.6.3-1
Severity: normal

F: Öffne Konfigurationsdatei /usr/share/aptitude/aptitude-defaults.de -
ifstream::ifstream (2: Datei oder Verzeichnis nicht gefunden

-- Package-specific info:
aptitude 0.6.3 compiled at Jun 19 2010 22:16:58
Compiler: g++ 4.4.4
Compiled against:
  apt version 4.8.0
  NCurses version 5.7
  libsigc++ version: 2.2.4.2
  Ept support enabled.
  Gtk+ support disabled.

Current library versions:
  NCurses version: ncurses 5.7.20100313
  cwidget version: 0.5.16
  Apt version: 4.8.0
	linux-vdso.so.1 =>  (0x00007fff5cfff000)
	libapt-pkg-libc6.9-6.so.4.8 => /usr/lib/libapt-pkg-libc6.9-6.so.4.8 (0x00007fd4c1a02000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0x00007fd4c17af000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0x00007fd4c15a9000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0x00007fd4c12dd000)
	libept.so.0 => /usr/lib/libept.so.0 (0x00007fd4c1066000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0x00007fd4c0d11000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007fd4c0afa000)
	libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00007fd4c086a000)
	libboost_iostreams.so.1.42.0 => /usr/lib/libboost_iostreams.so.1.42.0 (0x00007fd4c064e000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00007fd4c0432000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fd4c011e000)
	libm.so.6 => /lib/libm.so.6 (0x00007fd4bfe9b000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007fd4bfc85000)
	libc.so.6 => /lib/libc.so.6 (0x00007fd4bf924000)
	libutil.so.1 => /lib/libutil.so.1 (0x00007fd4bf720000)
	libdl.so.2 => /lib/libdl.so.2 (0x00007fd4bf51c000)
	libbz2.so.1.0 => /lib/libbz2.so.1.0 (0x00007fd4bf30b000)
	librt.so.1 => /lib/librt.so.1 (0x00007fd4bf103000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fd4c1ce9000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (1000, 'stable'), (990, 'unstable'), (700, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6.9 0.7.25.3         Advanced front-end for dpkg
ii  libboost-iostreams1.42. 1.42.0-3         Boost.Iostreams Library
ii  libc6                   2.11.2-1         Embedded GNU C Library: Shared lib
ii  libcwidget3             0.5.16-3         high-level terminal interface libr
ii  libept0                 0.5.30           High-level library for managing De
ii  libgcc1                 1:4.4.4-5        GCC support library
ii  libncursesw5            5.7+20100313-2   shared libraries for terminal hand
ii  libsigc++-2.0-0c2a      2.2.4.2-1        type-safe Signal Framework for C++
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libstdc++6              4.4.4-5          The GNU Standard C++ Library v3
ii  libxapian15             1.0.20-2         Search engine library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages aptitude recommends:
ii  apt-xapian-index              0.37       maintenance tools for a Xapian ind
ii  aptitude-doc-en [aptitude-doc 0.6.3-1    English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output
ii  sensible-utils                0.0.4      Utilities for sensible alternative

Versions of packages aptitude suggests:
ii  debtags                       1.7.9+b2   Enables support for package tags
pn  tasksel                       <none>     (no description available)

-- no debconf information




Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Mon, 13 Feb 2012 17:06:03 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Mon, 13 Feb 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #44 received at 472625-done@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 472625-done@bugs.debian.org
Subject: Re: missing aptitude-defaults.?? files
Date: Tue, 14 Feb 2012 01:03:50 +0800
Version: 0.6.3-2

Fixed again, as mentioned in the changelog entry which closes two
identical bugs:

aptitude (0.6.3-2) unstable; urgency=low

  * Cherry-pick an upstream patch that fixes the Makefiles so that files
    named using $(wildcard) get installed. (Closes: #586508, #586511)




Bug No longer marked as found in versions aptitude/0.4.11.3-1. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Mon, 13 Feb 2012 17:15:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Mar 2012 07:32:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:50:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.